/* $Id: Mode.java 317 2011-08-23 06:15:03Z minao $ */
package smart_gs.drawing_tool.drawing_mode;

import java.awt.Graphics;

import smart_gs.drawing_tool.SpreadCanvas;
import smart_gs.swingui.GSMouseEvent;

public interface Mode {
	public void mouseClicked(GSMouseEvent e,SpreadCanvas canvas);
	public void mouseEntered(GSMouseEvent e,SpreadCanvas canvas);
	public void mouseExited(GSMouseEvent e,SpreadCanvas canvas) ;    
	public void mousePressed(GSMouseEvent e,SpreadCanvas canvas);
	public void mouseReleased(GSMouseEvent e,SpreadCanvas canvas); 
	public void mouseDragged(GSMouseEvent e,SpreadCanvas canvas); 
	public void mouseMoved(GSMouseEvent e,SpreadCanvas canvas) ;
	public void paint(Graphics g,SpreadCanvas canvas);
	public void cancel();
}